Skip to main content
GET
cURL

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

معلمات المسار

tableId
string
مطلوب

معلمات الاستعلام

viewId
string

Set the view you want to fetch. When provided, records will follow that view's filter and sort settings. When omitted, the API queries the table without applying a view.

مثال:

"viwXXXXXXX"

ignoreViewQuery

When a viewId is specified, configure this to true will ignore the view's filter, sort, etc

filterByTql
string
مهمل
مثال:

"{field} = 'Completed' AND {field} > 5"

filter
string

A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.

search

Search for records that match the specified field and value

Required array length: 1 element
filterLinkCellCandidate

Filter out the records that can be selected by a given link cell from the relational table. For example, if the specified field is one to many or one to one relationship, recordId for which the field has already been selected will not appear.

Required array length: 2 elements
مثال:
filterLinkCellSelected

Filter out selected records based on this link cell from the relational table. Note that viewId, filter, and orderBy will not take effect in this case because selected records has it own order. Ignoring recordId gets all the selected records for the field

Required array length: 2 elements
مثال:
selectedRecordIds
string[]

Filter selected records by record ids

orderBy
string

An array of sort objects that specifies how the records should be ordered.

groupBy
string

An array of group objects that specifies how the records should be grouped.

collapsedGroupIds
string

An array of group ids that specifies which groups are collapsed

queryId
string

When provided, other query parameters will be merged with the saved ones.

مثال:

"qry_xxxxxxxx"

includeQueryExtra

Whether to include query extra metadata such as group points and search hit indexes. Group metadata defaults to enabled; optimized generated-index searches require explicit opt-in for search hit indexes.

projection
string[]

If you want to get only some fields, pass in this parameter, otherwise all visible fields will be obtained

ranges
string
مطلوب

The parameter "ranges" is used to represent the coordinates [column, row][] of a selected range in a table.

مثال:

"[[0, 0], [1, 1]]"

type
enum<string>

Types of non-contiguous selections

الخيارات المتاحة:
rows,
columns
مثال:

"columns"

الاستجابة

200

SSE stream with duplication progress events and final result

آخر تعديل في ١٥ سبتمبر ٢٠٢٦